App\Entity\Devis:
    type: entity
    table: devis
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        numIncrement:
            type: integer
            nullable: true
        numDevis:
            type: string
            length: 255
            fixed: false
            nullable: true
        totalHT:
            type: float
            nullable: false
        totalTVA:
            type: float
            nullable: false
        totalRemise:
            type: float
            nullable: false
        totalTtc:
            type: float
            nullable: false
        totalBenefice:
            type: float
            nullable: false
        totalBeneficePrevisionnel:
            type: float
            nullable: true
        dateDevis:
            type: datetime
            nullable: true
        dateMiseajour:
            type: datetime
            nullable: true
        scanDevis:
            type: string
            length: 255
            fixed: false
            nullable: true
        estExonore:
            type: boolean
            nullable: true
        objet:
            type: text
            nullable: true
        notes:
            type: text
            nullable: true
        motscles:
            type: text
            nullable: true
        estValide:
            type: boolean
            nullable: true
    oneToMany:
        dproduits:
            targetEntity: DevisProduit
            mappedBy: devis
            cascade: [persist]
            orphanRemoval: true
    manyToOne:
        utilisateur:
            targetEntity: Utilisateur
            cascade: {  }
            mappedBy: null
            inversedBy: devis
            joinColumns:
                utilisateur_id:
                    referencedColumnName: id
            orphanRemoval: false
        client:
            targetEntity: Client
            cascade: {  }
            mappedBy: null
            inversedBy: devis
            joinColumns:
                client_id:
                    referencedColumnName: id
            orphanRemoval: false
        reparation:
            targetEntity: Reparation
            cascade: {  }
            mappedBy: null
            inversedBy: devis
            joinColumns:
                reparation_id:
                    referencedColumnName: id
            orphanRemoval: false
        vehicule:
            targetEntity: Vehicule
            cascade: {  }
            mappedBy: null
            inversedBy: devis
            joinColumns:
                vehicule_id:
                    referencedColumnName: id
            orphanRemoval: false
        magasin:
            targetEntity: Magasin
            cascade: {  }
            mappedBy: null
            inversedBy: devis
            joinColumns:
                magasin_id:
                    referencedColumnName: id
            orphanRemoval: false
        dossier:
            targetEntity: Dossier
            cascade: {  }
            mappedBy: null
            inversedBy: devis
            joinColumns:
                dossier_id:
                    referencedColumnName: id
                    nullable: true
                    onDelete: SET NULL
            orphanRemoval: false